﻿using HeuristicLab.Common;
using HeuristicLab.Core;
using System.Drawing;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HeuristicLab.DataPreprocessing
{
  [Item("TransformationContent", "Represents the transformation grid.")]
  class TransformationContent : Item
  {

    private readonly ITransformationLogic transformationLogic;
    public TransformationContent(ITransformationLogic theTransformationLogic)
    {
      transformationLogic = theTransformationLogic;
    }

    public ITransformationLogic TransformationLogic
    {
      get
      {
        return transformationLogic;
      }
    }

    public TransformationContent(TransformationContent content, Cloner cloner)
      : base(content, cloner)
    {

    }

    public static new Image StaticItemImage
    {
      get { return HeuristicLab.Common.Resources.VSImageLibrary.Table; }
    }

    public override IDeepCloneable Clone(Cloner cloner)
    {
      return new TransformationContent(this, cloner);
    }
  }
}
